<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KFontDialog</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KFontDialog Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="../kdeui/KDialog.html">KDialog</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdialog.html">QDialog</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>A font selection dialog.
</p>
<p>
The KFontDialog provides a dialog for interactive font selection.
It is basically a thin wrapper around the KFontChooser widget,
which can also be used standalone. In most cases, the simplest
use of this class is the static method KFontDialog.getFont(),
which pops up the dialog, allows the user to select a font, and
returns when the dialog is closed.
</p>
<p>
Example:
</p>
<p>
<pre class="fragment">
      QFont myFont;
      int result = KFontDialog.getFont( myFont );
      if ( result == KFontDialog.Accepted )
            ...
</pre>
</p>
<p>
<div align="center"><img src="../images/kfontdialog.png" /><p><strong> "KDE Font Dialog" </strong></p></div>
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Preston Brown &lt;pbrown@kde.org&gt;, Bernd Wuebben &lt;wuebben@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179378796">fontSelected</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> font)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170957676">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, KFontChooser.DisplayFlags flags=KFontChooser.NoDisplayFlags, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> fontlist=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> a0=Qt.Unchecked)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174847020">__init__</a> (self, <a href="../kdeui/KFontDialog.html">KFontDialog</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166594092">font</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179378796">fontSelected</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> font)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167121452">setFont</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> font, bool onlyFixed=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173453516">setSizeIsRelative</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> relative)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181509836">sizeIsRelative</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">SIP_PYTUPLE&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167271212">getFont</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> theFont, KFontChooser.DisplayFlags flags=KFontChooser.NoDisplayFlags, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> sizeIsRelativeState=Qt.Unchecked)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">SIP_PYTUPLE&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166398604">getFontAndText</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> theFont, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> theString, KFontChooser.DisplayFlags flags=KFontChooser.NoDisplayFlags, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> sizeIsRelativeState=Qt.Unchecked)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">SIP_PYTUPLE&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167271308">getFontDiff</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> theFont, KFontChooser.FontDiffFlags diffFlags, KFontChooser.DisplayFlags flags=KFontChooser.NoDisplayFlags, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> sizeIsRelativeState=Qt.Unchecked)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj170957676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFontChooser.DisplayFlags&nbsp;</td>
<td class="paramname"><em>flags=KFontChooser.NoDisplayFlags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>fontlist=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td>
<td class="paramname"><em>a0=Qt.Unchecked</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a font selection dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent widget of the dialog, if any.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> Defines how the font chooser is displayed.
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFontChooser.DisplayFlags
</dd></dl> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>onlyFixed</em>&nbsp;</td><td> only display fonts which have fixed-width
character sizes.

<tr><td></td><td valign="top"><em>fontlist</em>&nbsp;</td><td> a list of fonts to display, in XLFD format. If
no list is formatted, the internal KDE font list is used.
If that has not been created, X is queried, and all fonts
available on the system are displayed.

<tr><td></td><td valign="top"><em>makeFrame</em>&nbsp;</td><td> Draws a frame with titles around the contents.

<tr><td></td><td valign="top"><em>diff</em>&nbsp;</td><td> Display the difference version dialog. See getFontDiff().

<tr><td></td><td valign="top"><em>sizeIsRelativeState</em>&nbsp;</td><td> If not zero the widget will show a
checkbox where the user may choose whether the font size
is to be interpreted as relative size.
Initial state of this checkbox will be set according to
*sizeIsRelativeState, user choice may be retrieved by
calling sizeIsRelative().
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj174847020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KFontDialog.html">KFontDialog</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj166594092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a> font</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The currently selected font in the dialog.
</dd></dl>
</p></div></div><a class="anchor" name="obj179378796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fontSelected</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>font</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted whenever the currently selected font changes.
Connect to this to monitor the font as it is selected if you are
not running modal.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("fontSelected(const QFont&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj167271212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">SIP_PYTUPLE getFont</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>theFont</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFontChooser.DisplayFlags&nbsp;</td>
<td class="paramname"><em>flags=KFontChooser.NoDisplayFlags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td>
<td class="paramname"><em>sizeIsRelativeState=Qt.Unchecked</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal font dialog, lets the user choose a font,
and returns when the dialog is closed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>theFont</em>&nbsp;</td><td> a reference to the font to write the chosen font
into.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> Defines how the font chooser is displayed.
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFontChooser.DisplayFlags
</dd></dl> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> Parent widget of the dialog. Specifying a widget different
from 0 (Null) improves centering (looks better).

<tr><td></td><td valign="top"><em>makeFrame</em>&nbsp;</td><td> Draws a frame with titles around the contents.

<tr><td></td><td valign="top"><em>sizeIsRelativeState</em>&nbsp;</td><td> If not zero the widget will show a
checkbox where the user may choose whether the font size
is to be interpreted as relative size.
Initial state of this checkbox will be set according to
*sizeIsRelativeState and user choice will be returned
therein.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> QDialog.result().
</dd></dl>
</p></div></div><a class="anchor" name="obj166398604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">SIP_PYTUPLE getFontAndText</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>theFont</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>theString</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFontChooser.DisplayFlags&nbsp;</td>
<td class="paramname"><em>flags=KFontChooser.NoDisplayFlags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td>
<td class="paramname"><em>sizeIsRelativeState=Qt.Unchecked</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>When you are not only interested in the font selected, but also
in the example string typed in, you can call this method.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>theFont</em>&nbsp;</td><td> a reference to the font to write the chosen font
into.

<tr><td></td><td valign="top"><em>theString</em>&nbsp;</td><td> a reference to the example text that was typed.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> Defines how the font chooser is displayed.
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFontChooser.DisplayFlags
</dd></dl> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> Parent widget of the dialog. Specifying a widget different
from 0 (Null) improves centering (looks better).

<tr><td></td><td valign="top"><em>sizeIsRelativeState</em>&nbsp;</td><td> If not zero the widget will show a
checkbox where the user may choose whether the font size
is to be interpreted as relative size.
Initial state of this checkbox will be set according to
*sizeIsRelativeState and user choice will be returned
therein.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The result of the dialog.
</dd></dl>
</p></div></div><a class="anchor" name="obj167271308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">SIP_PYTUPLE getFontDiff</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>theFont</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFontChooser.FontDiffFlags&nbsp;</td>
<td class="paramname"><em>diffFlags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFontChooser.DisplayFlags&nbsp;</td>
<td class="paramname"><em>flags=KFontChooser.NoDisplayFlags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td>
<td class="paramname"><em>sizeIsRelativeState=Qt.Unchecked</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal font difference dialog, lets the user choose a selection
of changes that should be made to a set of fonts, and returns when the
dialog is closed. Useful for choosing slight adjustments to the font set
when the user would otherwise have to manually edit a number of fonts.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>theFont</em>&nbsp;</td><td> a reference to the font to write the chosen font
into.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> Defines how the font chooser is displayed.
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFontChooser.DisplayFlags
</dd></dl> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>diffFlags</em>&nbsp;</td><td> a reference to the int into which the chosen
difference selection bitmask should be written.
Check the returned bitmask like:
</td></tr> </table></dl>
<p> <pre class="fragment">
        if ( diffFlags &amp; KFontChooser.FontDiffFamily )
            [...]
        if ( diffFlags &amp; KFontChooser.FontDiffStyle )
            [...]
        if ( diffFlags &amp; KFontChooser.FontDiffSize )
            [...]
</pre>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> Parent widget of the dialog. Specifying a widget different
from 0 (Null) improves centering (looks better).

<tr><td></td><td valign="top"><em>sizeIsRelativeState</em>&nbsp;</td><td> If not zero the widget will show a
checkbox where the user may choose whether the font size
is to be interpreted as relative size.
Initial state of this checkbox will be set according to
*sizeIsRelativeState and user choice will be returned
therein.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> QDialog.result().
</dd></dl>
</p></div></div><a class="anchor" name="obj167121452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFont</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qfont.html">QFont</a>&nbsp;</td>
<td class="paramname"><em>font</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>onlyFixed=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the currently selected font in the dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>font</em>&nbsp;</td><td> The font to select.

<tr><td></td><td valign="top"><em>onlyFixed</em>&nbsp;</td><td> readjust the font list to display only fixed
width fonts if true, or vice-versa
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj173453516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSizeIsRelative</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a>&nbsp;</td>
<td class="paramname"><em>relative</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the state of the checkbox indicating whether the font size
is to be interpreted as relative size.
NOTE: If parameter sizeIsRelative was not set in the constructor
of the dialog this setting will be ignored.
</p></div></div><a class="anchor" name="obj181509836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qt.html">Qt.CheckState</a> sizeIsRelative</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> Whether the font size is to be interpreted as relative size
(default: false)
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
